## classiccam 0.1-1

=== debian/changelog ===
classiccam (0.1-1) unstable; urgency=low

  * Initial release

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Tue,  29 Jun 2010 20:00:26 +0100

## classiccam 0.1-7

=== src/qtimagefilters-2.1_1-opensource/examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 2 21:58:42 2010
# Project:  examples.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile examples.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-imagetool

imagetool/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) imagetool/ || $(MKDIR) imagetool/ 
	cd imagetool/ && $(QMAKE) /home/roy/src/qtimagefilters-2.1_1-opensource/examples/imagetool/imagetool.pro -unix -o $(MAKEFILE)
sub-imagetool-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) imagetool/ || $(MKDIR) imagetool/ 
	cd imagetool/ && $(QMAKE) /home/roy/src/qtimagefilters-2.1_1-opensource/examples/imagetool/imagetool.pro -unix -o $(MAKEFILE)
sub-imagetool: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE)
sub-imagetool-make_default: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) 
sub-imagetool-make_first: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) first
sub-imagetool-all: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) all
sub-imagetool-clean: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) clean
sub-imagetool-distclean: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) distclean
sub-imagetool-install_subtargets: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) install
sub-imagetool-uninstall_subtargets: imagetool/$(MAKEFILE) FORCE
	cd imagetool/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: examples.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile examples.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile examples.pro

qmake_all: sub-imagetool-qmake_all FORCE

make_default: sub-imagetool-make_default FORCE
make_first: sub-imagetool-make_first FORCE
all: sub-imagetool-all FORCE
clean: sub-imagetool-clean FORCE
distclean: sub-imagetool-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-imagetool-install_subtargets FORCE
uninstall_subtargets: sub-imagetool-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

## classiccam 0.1-2

=== debian/changelog ===
classiccam (0.1-2) unstable; urgency=low

  * Terminate process on closing main window rather than processing in the background.

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Sun, 18 Jul 2010 23:42:09 +0100

=== debian/control ===
Source: classiccam
Section: user/graphics
Priority: extra
Maintainer: Roy Hopkins <roy.hopkins@fieldofcows.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, gstreamer0.10-plugins-bad-dev, libgdigicam-dev, libgdigicam-gst-camerabin-dev
Standards-Version: 3.7.2

Package: classiccam
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libgstreamer (>= 0.10), hildon-application-manager
Description: Classic Cam is a camera app that 
 automatically "develops" photos to give them 
 a "retro" look, much the same as those old 
 70's prints you have in your photo album.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1680
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
 b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
 i4AUkSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OI
 isr74Xuja9a89+bN/rXXPues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQu
 QIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgABeNMLCADATZvAMByH/w/qQplc
 AYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAtAGAnf+bT
 AICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJ
 V2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcq
 AAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wA
 AKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+5c+rcEAAAOF0ftH+LC+z
 GoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk5NhK
 xEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc
 5o9H/LcL//wd0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+
 3zUAsGo+AXuRLahdYwP2SycQWHTA4vcAAPK7b8HUKAgDgGiD4c93/+8//Ueg
 JQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzABhzBBdzBC/xgNoRC
 JMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgx
 UopUIFVIHfI9cgI5h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQ
 ZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+Q8cwwOgYBzPEbDAuxsNCsTgsCZNj
 y7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhMWE7YSKggHCQ0
 EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMy
 J7mQAkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPk
 G+Qh8lsKnWJAcaT4U+IoUspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2h
 tlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdpr+h0uhHdlR5Ol9BX0svpR+iX
 6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZD5lvVVgq
 tip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtV
 qp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gs
 IWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0
 TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllirSKtRq0frvTau7aedpr1F
 u1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79up+6Y
 nr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb
 8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN
 7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x1zLnm+eb15vft2BaeFostqi2uGVJ
 suRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lOk06rntZnw7Dxtsm2
 qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJ
 S4LLLpc+Lpsbxt3IveRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nyme
 WTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+BZ7XnIy9jL5FXrdewt6V3qvdh7xc+
 9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/0QCngCUBZwOJ
 gUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jO
 kc5pDoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE
 3ptnMU85ry1KNSo+qi5qPNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/8
 7fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIsOpZATIhOOJTwQRAqqBaMJfIT
 dyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5hCepkLxM
 DUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8e
 lQfJa7OQrAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zv
 n//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vt
 V5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1dT1gvWd+1YfqGnRs+FYmK
 rhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aXDm4N
 2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLd
 tWHX+G7R7ht7vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvtt
 Xa1ObXHtxwPSA/0HIw6217nU1R3SPVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG
 4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKaRptTmvtbYlu6T8w+
 0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7
 nLuarrlca7nuer21e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+
 cif9zsu72Xcn7q28T7xf9EDtQdlD3YfVP1v+3Njv3H9qwHeg89HcR/cGhYPP
 /pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i/suuFxYvfvjV
 69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98P
 T+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAGYktHRAD/AP8A/6C9
 p5MAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfaBhAPIRlDgM3IAAAK
 e0lEQVRo3u2ZbXBc1XnHf+ece+/u3t2VohW2ZCjYQhL1pBPA1BiHGdJpp+BC
 YsdJpmkZSjPJTJkkZfKhafnSdJq+zLRJIKEvGTJx00nScQIkKSRNm4lLgBKX
 iZkxFJdgh1gmbrAtS5btXe1Ku/fcc55+2LvrFciSpdJvembO3Cvt2XOel//z
 f55zFtZkTdZkTd5M2bNnz4rmq+Um3PuxP+Lv//YzAHznu08UoihXBCKtlNJa
 g1IoQKnlNxOBUilnBiv9xtoEY4zYJEFExAShszZxcRw35+fm6m+79loLsHl0
 lCMTExddM1hu0+uu2wbAo9/8t/eKqN9LU/dLgTEFQeE9oOTSPJFJFOWCXC7K
 RVGIiEiUy3lEPOAKhXzinKvmC4Wn//TjH//Ynz3wQOvIxATvu+02vrVv38oj
 8On7v8h9f3gPe770yP25XP4PUEopASfSdieyQoAonK2jVUIURsRxTFyMiaII
 UBTiAmNjY9RqNZxzh8bHx7d9YPfu9CuPP+5WDaG/+tQX7i339f1dalNRWilA
 EFGCAvErUl9E2Pevj/LSfz9PPsoRBgEigjEGL0JqLXf+zt3c9YHflSiK1MyZ
 M9/85a1bf3OpNc1SH27ctDl/3Zabvt5qJX02TZWIiHNOOedxqSd1Duf8JQ9r
 LYee30+cy9PX10dcKHBZpUK5VOIt/f1cNjjIoRf/i9nZmrpuyxbJFwpXblg/
 9NgPnnxy5mI66qUMuHXH7h2NRmNdc75FmqaSJKmyicNaR2ITrHXYxJEk6bLD
 2pT67Cy18zOgFN55Cvk8KiOCKIrwIlxWqXDwwHNy7tw5paB8x66dOwCGV5PE
 Iu7KJGnljDHKph7xaRd0ImQ5IMv5oY1VpZiePM7I1eNcPTrOXKPOqZMniaMQ
 L4LWmqH166nVarx24oSyrRZaa2W0futtN99s9j37rFuxAalNtXMOEcE7h/UO
 lfGliCDSpk8R11UySSyprWNMACoil2snqE2aXDP+C7x39w6Gh4cxxnDk8BH+
 +ZFHKOUigiAgCkNyUQQi7chkG1WGh2UDcGrlEbjANEqpTGnJlO5wv+rOmZ+f
 Y3x0HTvf9dsUCgUOHnyRJ556HkExPrqOzWMbKRbLDF9xBVEQMDA4yOGXXuLQ
 C89TGRhARHDe018ud0KM0tqfnp5eVPlLqgMLYdBe1/uO8oIxGucE74UrLh/g
 Qx+8O6NFuPXWX2V6ZpYf/ucL3LDlVwiNZmh4A7lcjmKxiNKadUPr0VoTGIP3
 nkp/P5OTkwu8eG5yUlaVxIuxrlIKrRXetXjX7dv5yD3vY8ev34TznpFNGwky
 auzIWzePAZpTJ08xW6uRJAlKKRqNBo16nckTJygXi1jnUIBNUwb6+tAZhLyI
 mp+fV2+SAW1xznPVVUNs376d4eHLueWW7WilmDlbxft2beg8Xzh0hMrAW/jq
 V/YyeWoSDbSaTVyacvjwYY7/7Gd4EfJRRBRFGK2Jogitumzhf/Laa8KbAaFe
 RqlVm7RaLcIw4uevncR74fBP/od/f2I/77hlG0opfnTgEC+/fIxSuczJ4z/l
 bz73IBNHJ9iydSvPHTjAM0/+gErm7UKh0C5oQBgEaGM6m6WAfOSuu3ho796V
 GqBel9AXcmHmXINP3/8Fxkav5IUXJwjCCGMCHv/29zl69Ci5fIEfv3yMOC4x
 Wz2DUhqtQ/Y/e4AjP51gavI0jbkmcT5POY6x1qK1plwuU+rUh7azPLCo8ssa
 4MXhfZsZtF5omPgGO+/YyaaREa4euZJvPPY0gbZ8+J7fYvPmX0QpRbVa5Z/2
 focfHzrGwOAwt7/zN7j9nbdTLBap1+s896MDfPlL/4ienycMQ+JcjlIcM99o
 dLHt0lQtoLqVQsh7QbwgPd+fm5vl7jvv4Pot1wNw00030mxZUmvZsuX6brSG
 hob48D138iefOMa7d32QnbvfjYiglWKgUmFwcJD1Q+t56HMPkliLaI0CjDY9
 +y/dby0dAe+z0SmCbcXy+YDxa8YXwOsdt2zH2jSrExeKXRzHfPT3P8TIyAgq
 q7gAxhjiYpEbbriBbTe/nWefeYap6WkCY9pJnjlBG9MCZHBwkJmZmZWxkHiH
 iOsa4b3HOYfWuqvIhbxos8fCgqfQWjM2NoYx5kJ17WyuNfk45m3XXosXQYnQ
 bLVIWkm3kBUKBQssqvwl5IC0O0nvO+shgPHyBlZa6u/eSt4bHaVUF04KsM5R
 rVaZqzfwWQtjrTWrh5DziHd4l4I22VEAxKgV0+5ihom0MysIQ5z3pGnKfKtF
 9fx5Utfuu9I0XRIleukcSHG+08+77lPEEwRm0ZzppdvljOpATGtNrV5namYG
 8Z5ms9ldR2vtAYbXrVt5BJyXTHG3QLFmS3j40e8ShREgpN5zzdhGbn771kWa
 wcWh1HnvQMU5RyGOabZapO5C59yJwOT09GpYyOG9w3m3gIadgx/uP9hWRIF3
 wqvHjr7BgDblNkhtSiGOCcOwi/1OogtQr9dJrMWlKflC4XUOUK4TgcWM0Mvl
 QOo8Lk1Je4ZzKVqDMQqjFdooQvNGX9hWi2987escm5jgzNTUAuUv7OHaLUkQ
 EEQR9UYDrXXXXdba/0ME8IhzbRZa5twwPVPl4Uf/Be8la7NDXj36Enu//A98
 8s//guENG/DeL2Ah2izT/Z9NErRS1Or1boQAt3oWSrME9q7NyxdLUKWYOTvL
 Y9/+/oXQmoip4wcpFctMTk7SqNeJ45ggDNs1JMP91OnTnDpxgjifJ7GWIAgI
 g6AHrk5WbUDqU1JnCdMcaFn2FsgY01OkhDgKcLmIarXKxNGjnDpxglK5TLFU
 olGvY61l6vRpJk+exKYpURjS39dHc36+u06rZVffSthmy9koR+QtImZFBx9v
 5zBK41LHvu99j2eeeoowDLsFUgHiPYExOO8pl0rtz5Ui9Q5jTOf4aldtwNnz
 0xM6MM3ARIUol1OXeBfW7peUw+fylMsOrRTOuS7GnXPtnj87SnYavCRJqNZq
 bBoZlb7+fqW1TrW+6HH4krSJbtz+a6/091c2Fov9mMDIpVpQMi1MOsd8s9ne
 yBiUCOI92hgUUJ2d7XK+VoqpmRkGKhX51Gc/qwYqFT81PX122403jgPnV3si
 S86fPfOXWps9XoR8PlZBEIpSS99FG60ZGdlEoB3WpuTzORSK2Uaja32appRq
 NVKXQnZFs+v975dd73mPsklLZmbO6Qcf/PwDSym/XAS0MYFxLvUbRzd/ZnBg
 /b1xqS8MghCttbQv1VmsayOfi3jo83/dvZ3oXpFk5xLJ5qnsar5TJdvXlo7D
 h4/4P/7EJ7/63IH9Hy3EsZ+fm7OAX0kENJBzLu0Hho9PHPmPU9GrDF62YVdl
 3dBoIR8rpXTXBao3eb1nYNNVnD9Xpd6o9xSLNx6pRLpdrhLvcS7llVdeOX3f
 ffc9XK2efxq4Zn5u7jRQA1qL1QS1TILngCIwkI1B4HJgCChno5DNy2WXxZ2h
 etaXzIOu55kATWAeqGdQmQJ+rpQ6KyJnM8UbF1N+Jb9LdJTR2TDZM+h5Nz2f
 657vyeuM8Nm7A9Ls2TukZ86arMmarMma/P/K/wLKoqP9AEzKWAAAAABJRU5E
 rkJggg==

## classiccam 0.1-4

=== debian/changelog ===
classiccam (0.1-4) unstable; urgency=low

  * Change dependency version number to resolve problem

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Mon, 19 Jul 2010 22:28:19 +0100

classiccam (0.1-3) unstable; urgency=low

  * Fix package dependencies

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Mon, 19 Jul 2010 00:12:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: classiccam
 Architecture: any
-Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libgstreamer (>= 0.10), hildon-application-manager
+Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libgstreamer (>= 0.10.25), hildon-application-manager
 Description: Classic Cam is a camera app that 
  automatically "develops" photos to give them 
  a "retro" look, much the same as those old

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := classiccam
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp
	
build-stamp: builddir/Makefile
	dh_testdir
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	./classiccam-optify.sh
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## classiccam 0.1-5

=== debian/changelog ===
classiccam (0.1-5) unstable; urgency=low

  * Remove libgstreamer dependency as it is statically linked

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Mon, 19 Jul 2010 22:48:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: classiccam
 Architecture: any
-Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), libgstreamer (>= 0.10.25), hildon-application-manager
+Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), hildon-application-manager
 Description: Classic Cam is a camera app that 
  automatically "develops" photos to give them 
  a "retro" look, much the same as those old

## classiccam 0.1-6

=== debian/changelog ===
classiccam (0.1-6) unstable; urgency=low

  * Fix application description
  * Fix installation of configuration files

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Mon, 19 Jul 2010 23:13:30 +0100

## classiccam 0.1-7

=== debian/changelog ===
classiccam (0.1-7) unstable; urgency=low

  * Set default locations for negative and developed folders

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Tue, 20 Jul 2010 23:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Package: classiccam
 Architecture: any
 Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1), hildon-application-manager
-Description: Classic Cam is a camera app that 
- automatically "develops" photos to give them 
- a "retro" look, much the same as those old 
- 70's prints you have in your photo album.
+Description: Take photos that look like they are from the 70's
+ Classic Cam is a camera app that  automatically "develops" photos 
+ to give them a "retro" look, much the same as those old  70's 
+ prints you have in your photo album.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1680
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90

## classiccam 0.1-8

=== src/qtimagefilters-2.1_1-opensource/examples/imagetool/Makefile ===
#############################################################################
# Makefile for building: imagetool
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 2 21:58:43 2010
# Project:  imagetool.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile imagetool.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I. -I../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../../src/convolutionfilter.cpp \
		../../src/qtimagefilter.cpp \
		../../src/punchfilter.cpp \
		../../src/qtimagefilterfactory.cpp \
		main.cpp \
		imagetoolwidget.cpp moc_imagetoolwidget.cpp
OBJECTS       = convolutionfilter.o \
		qtimagefilter.o \
		punchfilter.o \
		qtimagefilterfactory.o \
		main.o \
		imagetoolwidget.o \
		moc_imagetoolwidget.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../common.pri \
		../../src/qtimagefilters.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		imagetool.pro
QMAKE_TARGET  = imagetool
DESTDIR       = 
TARGET        = imagetool

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_imagetoolwidget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: imagetool.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../common.pri \
		../../src/qtimagefilters.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile imagetool.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../../common.pri:
../../src/qtimagefilters.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile imagetool.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/imagetool1.0.0 || $(MKDIR) .tmp/imagetool1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/imagetool1.0.0/ && $(COPY_FILE) --parents ../../src/qtimagefilter.h ../../src/convolutionfilter.h ../../src/gaussfilter.h ../../src/punchfilter.h ../../src/qtmatrix.h imagetoolwidget.h mirrorfilter.h .tmp/imagetool1.0.0/ && $(COPY_FILE) --parents ../../src/convolutionfilter.cpp ../../src/qtimagefilter.cpp ../../src/punchfilter.cpp ../../src/qtimagefilterfactory.cpp main.cpp imagetoolwidget.cpp .tmp/imagetool1.0.0/ && $(COPY_FILE) --parents imagetoolwidget.ui .tmp/imagetool1.0.0/ && (cd `dirname .tmp/imagetool1.0.0` && $(TAR) imagetool1.0.0.tar imagetool1.0.0 && $(COMPRESS) imagetool1.0.0.tar) && $(MOVE) `dirname .tmp/imagetool1.0.0`/imagetool1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/imagetool1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_imagetoolwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_imagetoolwidget.cpp
moc_imagetoolwidget.cpp: ../../src/qtimagefilter.h \
		../../src/qtmatrix.h \
		ui_imagetoolwidget.h \
		imagetoolwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) imagetoolwidget.h -o moc_imagetoolwidget.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_imagetoolwidget.h
compiler_uic_clean:
	-$(DEL_FILE) ui_imagetoolwidget.h
ui_imagetoolwidget.h: imagetoolwidget.ui
	/usr/bin/uic imagetoolwidget.ui -o ui_imagetoolwidget.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

convolutionfilter.o: ../../src/convolutionfilter.cpp ../../src/convolutionfilter.h \
		../../src/qtimagefilter.h \
		../../src/qtmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o convolutionfilter.o ../../src/convolutionfilter.cpp

qtimagefilter.o: ../../src/qtimagefilter.cpp ../../src/qtimagefilter.h \
		../../src/qtmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qtimagefilter.o ../../src/qtimagefilter.cpp

punchfilter.o: ../../src/punchfilter.cpp ../../src/punchfilter.h \
		../../src/qtimagefilter.h \
		../../src/qtmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o punchfilter.o ../../src/punchfilter.cpp

qtimagefilterfactory.o: ../../src/qtimagefilterfactory.cpp ../../src/qtimagefilter.h \
		../../src/qtmatrix.h \
		../../src/convolutionfilter.h \
		../../src/gaussfilter.h \
		../../src/punchfilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qtimagefilterfactory.o ../../src/qtimagefilterfactory.cpp

main.o: main.cpp imagetoolwidget.h \
		../../src/qtimagefilter.h \
		../../src/qtmatrix.h \
		ui_imagetoolwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

imagetoolwidget.o: imagetoolwidget.cpp imagetoolwidget.h \
		../../src/qtimagefilter.h \
		../../src/qtmatrix.h \
		ui_imagetoolwidget.h \
		mirrorfilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o imagetoolwidget.o imagetoolwidget.cpp

moc_imagetoolwidget.o: moc_imagetoolwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_imagetoolwidget.o moc_imagetoolwidget.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
classiccam (0.1-8) unstable; urgency=low

  * Look for /opt/classiccam for config instead of /opt/classicprint

 -- Roy Hopkins <roy.hopkins@fieldofcows.com>  Wed, 21 Jul 2010 20:19:10 +0100
